public void Add(Rhino.Geometry.Sphere sphere, RenderMaterial material)
 {
   UnsafeNativeMethods.Rdk_CustomMeshes_AddSphere(NonConstPointer(), sphere.Center, 
                                                  sphere.EquitorialPlane.XAxis, 
                                                  sphere.EquitorialPlane.YAxis, 
                                                  sphere.Radius, 
                                                  material.ConstPointer());
 }
 public void Add(Rhino.Geometry.Sphere sphere, RenderMaterial material)
 {
     UnsafeNativeMethods.Rdk_CustomMeshes_AddSphere(NonConstPointer(), sphere.Center,
                                                    sphere.EquitorialPlane.XAxis,
                                                    sphere.EquitorialPlane.YAxis,
                                                    sphere.Radius,
                                                    material.ConstPointer());
 }
 public void Add(Rhino.Geometry.Box box, RenderMaterial material)
 {
     UnsafeNativeMethods.Rdk_CustomMeshes_AddBox(NonConstPointer(),
                                                 box.Plane.Origin,
                                                 box.Plane.XAxis,
                                                 box.Plane.YAxis,
                                                 box.X.Min, box.X.Max,
                                                 box.Y.Min, box.Y.Max,
                                                 box.Z.Min, box.Z.Max,
                                                 material.ConstPointer());
 }
 public void Add(Rhino.Geometry.Box box, RenderMaterial material)
 {
   UnsafeNativeMethods.Rdk_CustomMeshes_AddBox(NonConstPointer(), 
                                               box.Plane.Origin, 
                                               box.Plane.XAxis, 
                                               box.Plane.YAxis, 
                                               box.X.Min, box.X.Max, 
                                               box.Y.Min, box.Y.Max, 
                                               box.Z.Min, box.Z.Max, 
                                               material.ConstPointer());
 }
 public void Add(Rhino.Geometry.Cone cone, Rhino.Geometry.Plane truncation, RenderMaterial material)
 {
     UnsafeNativeMethods.Rdk_CustomMeshes_AddCone(NonConstPointer(), cone.BasePoint,
                                                  cone.Plane.XAxis,
                                                  cone.Plane.YAxis,
                                                  cone.Height,
                                                  cone.Radius,
                                                  truncation.Origin,
                                                  truncation.XAxis,
                                                  truncation.YAxis,
                                                  material.ConstPointer());
 }
 public void Add(Rhino.Geometry.Cone cone, Rhino.Geometry.Plane truncation, RenderMaterial material)
 {
   UnsafeNativeMethods.Rdk_CustomMeshes_AddCone(NonConstPointer(), cone.BasePoint, 
                                                cone.Plane.XAxis, 
                                                cone.Plane.YAxis, 
                                                cone.Height,
                                                cone.Radius,
                                                truncation.Origin, 
                                                truncation.XAxis, 
                                                truncation.YAxis, 
                                                material.ConstPointer());
 }
 public void Add(Rhino.Geometry.PlaneSurface plane, RenderMaterial material)
 {
     UnsafeNativeMethods.Rdk_CustomMeshes_AddPlane(NonConstPointer(), plane.ConstPointer(), material.ConstPointer());
 }
 public void Add(Rhino.Geometry.Mesh mesh, RenderMaterial material)
 {
     UnsafeNativeMethods.Rdk_CustomMeshes_AddMesh(NonConstPointer(), mesh.ConstPointer(), material.ConstPointer());
 }
 public void Add(Rhino.Geometry.PlaneSurface plane, RenderMaterial material)
 {
   UnsafeNativeMethods.Rdk_CustomMeshes_AddPlane(NonConstPointer(), plane.ConstPointer(), material.ConstPointer());
 }
 public void Add(Rhino.Geometry.Mesh mesh, RenderMaterial material)
 {
   UnsafeNativeMethods.Rdk_CustomMeshes_AddMesh(NonConstPointer(), mesh.ConstPointer(), material.ConstPointer());
 }